Package: groovy.org.codenarc.rule.generic

## [Groovy] Class IllegalClassMemberAstVisitor

- groovy.org.codenarc.rule.generic.IllegalClassMemberAstVisitor

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitField(org.codehaus.groovy.ast.FieldNode node)`
    `` | `protected void` | `visitMethodEx(org.codehaus.groovy.ast.MethodNode node)`
    `` | `void` | `visitProperty(org.codehaus.groovy.ast.PropertyNode node)`

- - ### Method Detail

    - #### @Override void visitField(org.codehaus.groovy.ast.FieldNode node)

    - #### @Override protected void visitMethodEx(org.codehaus.groovy.ast.MethodNode node)

    - #### @Override void visitProperty(org.codehaus.groovy.ast.PropertyNode node)